Bug 117305 - Unable to print GB Chinese characters
Summary: Unable to print GB Chinese characters
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: ghostscript   
(Show other bugs)
Version: 1
Hardware: athlon
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-02 18:28 UTC by Graham Cole
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-11 13:43:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham Cole 2004-03-02 18:28:15 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114 Epiphany/1.0.4

Description of problem:
I'm not positive that this is a ghostscript problem, however when I
try to print a page with Chinese characters to a file in epiphany, I
am unable to view it with gv/ggv and unable to print it.


Version-Release number of selected component (if applicable):
7.07-15.1

How reproducible:
Always

Steps to Reproduce:
1. Load a webpage in epiphany with GB Chinese characters like
www.sina.com.cn
2. Print the page to a file
3. View that file using gv or ggv
    

Actual Results:  Page is unable to load and an error message is displayed.

Expected Results:  The page should be viewable.

Additional info:

gv error output:

Error: /undefinedresource in --findresource--
Operand stack:
   MSungGBK-Light-GBK2K-H   Font   MSungGBK-Light-GBK2K-H  
(MSungGBK-Light-GBK2K-H)   14   MSungGBK-Light   GBK2K-H   GBK2K-H  
--dict:0/10(G)--   MSungGBK-Light   false   MSungGBK-Light  
--nostringval--   CMap   MSungGBK-Light   CMap   MSungGBK-Light
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   --nostringval--   false   1   %stopped_push   1   3
  %oparray_pop   1   3   %oparray_pop   1   3   %oparray_pop   1   3 
 %oparray_pop   .runexec2   --nostringval--   --nostringval--  
--nostringval--   2   %stopped_push   --nostringval--  
--nostringval--   %loop_continue   --nostringval--   --nostringval-- 
 --nostringval--   1   3   %oparray_pop   2   3   %oparray_pop  
--nostringval--   --nostringval--   13   4   %oparray_pop  
--nostringval--   16   5   %oparray_pop   --nostringval--  
--nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1061/1123(ro)(G)--   --dict:0/20(G)--   --dict:141/200(L)--
  --dict:17/17(ro)(G)--   --dict:0/10(L)--   --dict:16/24(ro)(G)--
Current allocation mode is local
Last OS error: 2
GNU Ghostscript 7.07: Unrecoverable error, exit code 1

Comment 1 Tim Waugh 2004-11-11 13:43:57 UTC
Does this still happen for you?

Comment 2 Graham Cole 2004-11-11 15:48:38 UTC
Using FC3, I no longer have this problem.


Note You need to log in before you can comment on or make changes to this bug.